Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gentoo-announce] Fix for kde 3.1+3.0.x installs (x86)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
pjp
Administrator
Administrator


Joined: 16 Apr 2002
Posts: 16104
Location: Colorado

PostPosted: Thu Feb 13, 2003 8:22 pm    Post subject: [gentoo-announce] Fix for kde 3.1+3.0.x installs (x86) Reply with quote

Reference: bug #15593
Sascha Schwabbauer wrote:
Hello everyone,

Lots of people have complained that the new kdelibs-3.1-r1 and kdebase-3.1-r1 don't work for them when kde 3.0.x is installed as well: kde 3.1 shows the kde 3.0.x splashscreen and then hangs.

This is due to a misunderstanding: for things to work, you need to install the latest 3.0.5a revisions as well, namely kdelibs-3.0.5a-r2 and kdebase-3.0.5a-r1. Unfortunately portage isn't smart enough to include upgrades of older slots in the world update list. So kde 3.0.x must be upgraded manually to these newer revisions, or things will break.

A quick fix for the problem if you don't want to spend hours compiling right now is to edit /etc/env.d/65kdelibs-3.0.5a (or 65kdelibs-$ver for any older 3.0.x version $ver). Remove the line that says KDEDIRS=/usr/kde/3. Run env-update and restart kdm.

I apologize for the problems this must have caused. I hope this will be
a swift fix.

--
Sascha Schwabbauer
Developer / Mailadmin
Gentoo Linux
http://www.gentoo.org/~cybersystem


Mailing List Archive: Unavailable
_________________
lolgov. 'cause where we're going, you don't have civil liberties.

In Loving Memory
1787 - 2008
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum